Segui

Prerequisiti di Mago.Net

Prima di installare un server di Mago.Net e / o workstation client, si consiglia di leggere attentamente le seguenti note e verificare se il computer che sta per essere utilizzato soddisfi i requisiti minimi. I requisiti per una workstation che farà uso esclusivamente di accesso via web, si limitano alla disponibilità di un browser compatibile.

Prerequisiti Hardware

Immagine.JPG

- Se il server ospita anche il server di database, il dimensionamento deve essere fatto in base alla quantità di dati previsti e al carico di lavoro stimato.Il File System deve essere impostato per file system NTFS.

- Se si pensa di fare un uso intensivo dell'accesso via web, il server deve essere configurato in funzione del numero di utenti stimati.

Prerequisiti software

Server
I seguenti componenti software devono essere installati, nell'ordine indicato:
- Microsoft Internet Information Services (IIS) v. 5.0 o superiore
- Windows Installer 3.1
- Microsoft. NET Framework 4.0

Client (desktop access)
- Microsoft. NET Framework 4.0

IIS è un componente di Windows, per abilitarlo è necessario usare l'opzione specifica del Pannello di Controllo: in Windows Xp questa è Installazione Applicazioni-> Installazione->Componenti di Windows.

Note / Risoluzione dei problemi
Si prega di prendere nota di quanto segue:
- L'installazione di IIS deve avvenire prima dell'installazione di .NET Framework. Ciò è necessario per la corretta mappatura di ASP.NET. Per rimediare ad un errore di installazione, si leggano le note qui sotto
- SqlServer deve essere installato in LoginMode = MixedMode e l'utente sa deve essere abilitato.


Rimediare ad un'errata installazione di IIS e .NET Framework
Dopo l'installazione di Microsoft .NET Framework, alcune mappature sono create in IIS (Internet Information Service) per gestire l'ambiente .Aspx (pagine ASP.NET) e le impostazioni relative. Se IIS non è già presente durante l'installazione di .NET Framework, o viene disinstallato e reinstallato dopo l'installazione di VS 2008, tali impostazioni andranno perse. La visualizzazione di pagine ASP.NET mostrerà un messaggio di errore.

Per rimediare ad una situazione di questo tipo, seguire questi passaggi:
1. Fare clic su Start, poi Esegui.
2. Nella casella di testo che verrà visualizzata, scrivere cmd, quindi premere Invio.
3. Nella finestra del prompt dei comandi scrivere questo comando, seguito da Invio:
"%windir%\Microsoft.NET\Framework\v2.0.50727\aspnet_regiis.exe"-i

Client (Web Access )
I browser supportati sono i seguenti:
- Internet Explorer 7
- Firefox 3,0
- Opera 9
- Safari 3.2 {anche sotto Mac OS}
- Google Chrome

Sistemi operativi supportati

Server
- Windows XP Professional Service Pack 3
- Windows Server 2003 Service Pack 1
- Windows Vista
- Windows Server 2008
- Windows 7
- Windows 8
- Windows 10
- Windows 2012 Server

Client
- Windows XP Professional Service Pack 3
- Windows Vista
- Windows 7
- Windows 8
- Windows 10

Database supportati

Il database di sistema può risiedere solo su un server Microsoft® Sql Server™ (stesse edizioni e versioni valide per il database aziendale).
Attualmente Microarea supporta, per il database aziendale, i seguenti prodotti:

- Microsoft® Sql Server™ 2000
- Microsoft® Sql Server™ 2005
- Microsoft® Sql Server™ 2008/2008 R2
- Microsoft® Sql Server™ 2012
- Oracle® 10g/XE
- Oracle® 11g


L’uso dei diversi prodotti è vincolato all’edizione installata. Di seguito il riepilogo delle capacità di ogni singola edizione:

Immagine1.JPG

Altre domande? Invia una richiesta

Commenti

Powered by Zendesk